Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
com.tritondigital.net.streaming.proxy.server.Server.StateChangedListener Interface Reference

Interface to be implemented in order to be notified about the important changes of state of the server. More...

## Classes
enum | ErrorDetail
| All different reason for error, used when notifying the listener about an error (onServerError). More...

## Public Member Functions
void | onServerNotReady ()
| Server is not ready to listen yet, it is missing some data.
void | onServerReady ()
| Server is ready to listen, all required data has been received.
void | onServerListening ()
| Server started to listen for incoming connections.
void | onServerConnected ()
| Server accepted a connection and is streaming.
void | onServerStopping ()
| Server started to stop.
void | onServerError ()
| Server encountered an unrecoverable error.

## Detailed Description

Interface to be implemented in order to be notified about the important changes of state of the server.

Calls to this listener may come from any thread, so thread safety should be considered when designing the implementation.

## Member Function Documentation

## ◆ onServerConnected()

void com.tritondigital.net.streaming.proxy.server.Server.StateChangedListener.onServerConnected | ( |  | ) |

Server accepted a connection and is streaming.

Its internal state is State.CONNECTED.

## ◆ onServerError()

void com.tritondigital.net.streaming.proxy.server.Server.StateChangedListener.onServerError | ( |  | ) |

Server encountered an unrecoverable error.

It has been disconnected and its internal state is State.ERROR.

## ◆ onServerListening()

void com.tritondigital.net.streaming.proxy.server.Server.StateChangedListener.onServerListening | ( |  | ) |

Server started to listen for incoming connections.

Its internal state is State.LISTENING.

## ◆ onServerNotReady()

void com.tritondigital.net.streaming.proxy.server.Server.StateChangedListener.onServerNotReady | ( |  | ) |

Server is not ready to listen yet, it is missing some data.

This happens when a new Data Provider is set and this provider is not ready yet. Its internal state is State.NOTREADY.

## ◆ onServerReady()

void com.tritondigital.net.streaming.proxy.server.Server.StateChangedListener.onServerReady | ( |  | ) |

Server is ready to listen, all required data has been received.

When a server disconnects, it returns to the Ready state. Its internal state is State.READY.

## ◆ onServerStopping()

void com.tritondigital.net.streaming.proxy.server.Server.StateChangedListener.onServerStopping | ( |  | ) |

Server started to stop.

It disconnected and is waiting for the disconnected callback. Its internal state is State.STOPPING.

The documentation for this interface was generated from the following file:

- streamingproxy/src/main/java/com/tritondigital/net/streaming/proxy/server/Server.java